<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.5" maxVersion="1.9" type="org.netbeans.modules.form.forminfo.JDialogFormInfo">
  <Properties>
    <Property name="defaultCloseOperation" type="int" value="2"/>
    <Property name="title" type="java.lang.String" value="Usando JDBC SQLite"/>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
    <SyntheticProperty name="generateCenter" type="boolean" value="true"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Component id="jLabel1" max="32767" attributes="0"/>
          <Group type="102" alignment="0" attributes="0">
              <Component id="btnNovo" min="-2" pref="120" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="btnEditar" min="-2" pref="120" max="-2" attributes="0"/>
              <EmptySpace type="separate" max="-2" attributes="0"/>
              <Component id="btnCancelar" min="-2" pref="144" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="btnExcluir" min="-2" pref="120" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="btnSalvar" min="-2" pref="130" max="-2" attributes="0"/>
              <EmptySpace min="0" pref="89" max="32767" attributes="0"/>
          </Group>
          <Component id="panFormulario" alignment="0" max="32767" attributes="0"/>
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Component id="jScrollPane1" max="32767" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <Component id="jLabel1" min="-2" pref="76" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="btnNovo" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="btnEditar" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="btnCancelar" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="btnExcluir" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="btnSalvar" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace type="unrelated" max="-2" attributes="0"/>
              <Component id="panFormulario" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="jScrollPane1" pref="232" max="32767" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JLabel" name="jLabel1">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Fira Sans" size="24" style="1"/>
        </Property>
        <Property name="horizontalAlignment" type="int" value="0"/>
        <Property name="text" type="java.lang.String" value="Cadastro de Aluno (Firebase)"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="btnNovo">
      <Properties>
        <Property name="foreground" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
          <Color blue="ff" green="19" red="0" type="rgb"/>
        </Property>
        <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
          <Image iconType="3" name="/imagens/novo_32x32.png"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Novo"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnNovoActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="btnEditar">
      <Properties>
        <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
          <Image iconType="3" name="/imagens/edit3_32x32.png"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Editar"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnEditarActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="btnCancelar">
      <Properties>
        <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
          <Image iconType="3" name="/imagens/cancel_32x32.png"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Cancelar"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnCancelarActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="btnExcluir">
      <Properties>
        <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
          <Image iconType="3" name="/imagens/del_32x32.png"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Excluir"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnExcluirActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="btnSalvar">
      <Properties>
        <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
          <Image iconType="3" name="/imagens/save_32x32.png"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Salvar"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnSalvarActionPerformed"/>
      </Events>
    </Component>
    <Container class="javax.swing.JPanel" name="panFormulario">

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace min="-2" pref="23" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" max="-2" attributes="0">
                      <Group type="102" attributes="0">
                          <Component id="lblNome" min="-2" pref="53" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="edtNome" min="-2" pref="331" max="-2" attributes="0"/>
                          <EmptySpace min="-2" pref="59" max="-2" attributes="0"/>
                          <Component id="lblSexo" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <Group type="102" attributes="0">
                          <Component id="lblNome1" min="-2" pref="53" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="edtIdade" min="-2" pref="116" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="lblNome2" min="-2" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="fEdtMatricula" min="-2" pref="142" max="-2" attributes="0"/>
                          <EmptySpace max="32767" attributes="0"/>
                          <Component id="lblSexo1" min="-2" max="-2" attributes="0"/>
                      </Group>
                  </Group>
                  <EmptySpace type="separate" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" max="-2" attributes="0">
                      <Component id="edtAno" pref="115" max="32767" attributes="0"/>
                      <Component id="edtSexo" max="32767" attributes="0"/>
                  </Group>
                  <EmptySpace max="32767" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace min="-2" pref="16" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="lblNome" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="edtNome" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="lblSexo" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="edtSexo" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace type="separate" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="lblNome1" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="edtIdade" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="lblNome2" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="edtAno" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="lblSexo1" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="fEdtMatricula" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace pref="30" max="32767" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JLabel" name="lblNome">
          <Properties>
            <Property name="text" type="java.lang.String" value="Nome:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="edtNome">
        </Component>
        <Component class="javax.swing.JLabel" name="lblNome1">
          <Properties>
            <Property name="text" type="java.lang.String" value="Idade:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="edtIdade">
        </Component>
        <Component class="javax.swing.JLabel" name="lblNome2">
          <Properties>
            <Property name="text" type="java.lang.String" value="Matricula:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="lblSexo">
          <Properties>
            <Property name="text" type="java.lang.String" value="Sexo:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="edtSexo">
        </Component>
        <Component class="javax.swing.JTextField" name="edtAno">
        </Component>
        <Component class="javax.swing.JLabel" name="lblSexo1">
          <Properties>
            <Property name="text" type="java.lang.String" value="Ano:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JFormattedTextField" name="fEdtMatricula">
        </Component>
      </SubComponents>
    </Container>
    <Container class="javax.swing.JScrollPane" name="jScrollPane1">
      <AuxValues>
        <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
      </AuxValues>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Component class="javax.swing.JTable" name="grdAlunos">
          <Properties>
            <Property name="model" type="javax.swing.table.TableModel" editor="org.netbeans.modules.form.editors2.TableModelEditor">
              <Table columnCount="0" rowCount="4"/>
            </Property>
            <Property name="tableHeader" type="javax.swing.table.JTableHeader" editor="org.netbeans.modules.form.editors2.JTableHeaderEditor">
              <TableHeader reorderingAllowed="true" resizingAllowed="true"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="mouseClicked" listener="java.awt.event.MouseListener" parameters="java.awt.event.MouseEvent" handler="grdAlunosMouseClicked"/>
          </Events>
        </Component>
      </SubComponents>
    </Container>
  </SubComponents>
</Form>
